Skip Menu |
 

This queue is for tickets about the Module-Build CPAN distribution.

Report information
The Basics
Id: 20886
Status: resolved
Priority: 0/
Queue: Module-Build

People
Owner: Nobody in particular
Requestors: ralf.hack [...] uk.tiscali.com
Cc:
AdminCc:

Bug Information
Severity: Critical
Broken in: 0.2805
Fixed in: (no value)



Subject: Module-Build-0.2805 fails to build
Download (untitled) / with headers
text/plain 2.2k
bash-2.03$ perl Makefile.PL # running Build.PL /usr/local/perl5.6/bin/perl Build.PL Can't locate object method "new" via package "Module::Build::Version" (perhaps you forgot to load "Module::Build::Version"?) at lib/Module/Build/Version.pm line 44, <GEN0> line 18. Couldn't run Build.PL: Illegal seek at lib/Module/Build/Compat.pm line 200. * Sorry, no fix available - I installed 0.2801 instead. bash-2.03$ perl -V Summary of my perl5 (revision 5.0 version 6 subversion 2) configuration: Platform: osname=solaris, osvers=2.8, archname=sun4-solaris-64int uname='sunos mk-dsltest-1 5.8 generic_108528-23 sun4u sparc sunw,ultra-80 ' config_args='' hint=recommended, useposix=true, d_sigaction=define usethreads=undef use5005threads=undef useithreads=undef usemultiplicity=undef useperlio=undef d_sfio=undef uselargefiles=define usesocks=undef use64bitint=define use64bitall=undef uselongdouble=undef Compiler: cc='gcc', ccflags ='-fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64', optimize='-O2', cppflags='-fno-strict-aliasing -I/usr/local/include' ccversion='', gccversion='2.95.3 20010315 (release)', gccosandvers='solaris2.8' intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=87654321 d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16 ivtype='long long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8 alignbytes=8, usemymalloc=n, prototype=define Linker and Libraries: ld='gcc', ldflags =' -L/usr/local/lib ' libpth=/usr/local/lib /usr/lib /usr/ccs/lib libs=-lsocket -lnsl -ldl -lm -lc perllibs=-lsocket -lnsl -ldl -lm -lc libc=/lib/libc.so, so=so, useshrplib=false, libperl=libperl.a Dynamic Linking: dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags=' ' cccdlflags='-fPIC', lddlflags='-G -L/usr/local/lib' Characteristics of this binary (from libperl): Compile-time options: USE_64_BIT_INT USE_LARGE_FILES Built under solaris Compiled at Aug 7 2006 12:50:38 @INC: /usr/local/perl5.6/lib/5.6.2/sun4-solaris-64int /usr/local/perl5.6/lib/5.6.2 /usr/local/perl5.6/lib/site_perl/5.6.2/sun4-solaris-64int /usr/local/perl5.6/lib/site_perl/5.6.2 /usr/local/perl5.6/lib/site_perl .
Download (untitled) / with headers
text/plain 745b
Hmm, looks like there might be a problem evaluating the version.pm code we embed within M::B::Version. Could you try this patch, which might shed some light on the issue? ================================ --- lib/Module/Build/Version.pm (revision 1976) +++ lib/Module/Build/Version.pm (local) @@ -25,9 +25,9 @@ # but we eval them in reverse order since version depends on # version::vpp to already exist - eval $vpp; + eval $vpp; die $@ if $@; $INC{'version/vpp.pm'} = 'inside Module::Build::Version'; - eval $version; + eval $version; die $@ if $@; $INC{'version.pm'} = 'inside Module::Build::Version'; } ================================ Also, do you have version.pm installed on your machine? -Ken
Subject: Re: [rt.cpan.org #20886] Module-Build-0.2805 fails to build
Date: Mon, 21 Aug 2006 16:31:15 +0100
To: bug-Module-Build [...] rt.cpan.org
From: Ralf Hack <ralf.hack [...] uk.tiscali.com>
Hi Ken, unfortunately, I can no longer replicate the error with the slightly older version installed without any changes. Sorry. R. Ken_Williams via RT wrote: Show quoted text
> <URL: http://rt.cpan.org/Ticket/Display.html?id=20886 > > > Hmm, looks like there might be a problem evaluating the version.pm code we embed within > M::B::Version. > > Could you try this patch, which might shed some light on the issue? > > ================================ > --- lib/Module/Build/Version.pm (revision 1976) > +++ lib/Module/Build/Version.pm (local) > @@ -25,9 +25,9 @@ > > # but we eval them in reverse order since version depends on > # version::vpp to already exist > - eval $vpp; > + eval $vpp; die $@ if $@; > $INC{'version/vpp.pm'} = 'inside Module::Build::Version'; > - eval $version; > + eval $version; die $@ if $@; > $INC{'version.pm'} = 'inside Module::Build::Version'; > } > > ================================ > > > Also, do you have version.pm installed on your machine? > > -Ken >
Download (untitled) / with headers
text/plain 111b
No problem, I'll close the ticket now and we can re-examine it if someone else reports the same issue. -Ken


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.